if test -z "$image"
then
	image=ubuntu-7.10-desktop-i386.iso
fi
#BUILD_USER=daemon # Has to be a user that exists on LiveCD

if test ! -e atl2-2.0.4.tar.bz2
then
	wget http://people.redhat.com/csnook/atl2/atl2-2.0.4.tar.bz2
fi
if test ! -e compcache-0.2.tar.bz2
then 
	wget http://compcache.googlecode.com/files/compcache-0.2.tar.bz2
fi

#fusermount -u edit

sudo umount edit/tmp/ 
sudo umount edit/dev/ 
sudo umount edit 
sudo umount edit-rw
sudo rm -rf edit
sudo rm -rf edit-rw
#rm -rf edit-rw edit #squashfs
#rm extract-cd/casper/filesystem.squashfs

mkdir -p mnt
mkdir -p squashfs
mkdir -p edit
mkdir -p edit-rw
mkdir -p filestoadd_builddir

sudo ln uname filestoadd_builddir
sudo ln buildall.sh filestoadd_builddir

sudo umount squashfs
sudo umount mnt
sudo mount -o loop "$image" mnt || exit 1
sudo mount -t squashfs -o loop mnt/casper/filesystem.squashfs squashfs || exit 1
sudo chown daemon `find filestoadd_builddir`

sudo funionfs edit-rw edit -o dirs="squashfs=ro" -o copyup=mounter || exit 1
#sudo su $BUILD_USER -c "funionfs edit-rw edit -o dirs="squashfs=ro" -o copyup=mounter" || exit 1
sudo ln *tar.bz2 filestoadd_builddir
sudo mount --bind filestoadd_builddir edit/tmp/
sudo mount --bind /dev edit/dev
#sudo chroot edit su daemon -c "pwd && ls / && cd /tmp && sh ./buildall.sh"
#cp -a /dev/null edit/dev/null
sudo chroot edit sh -c "pwd && ls / && ls /lib/modules/ && cd /tmp && sh ./buildall.sh clean && sh ./buildall.sh"

sudo rm newroot/filestoadd/lib/modules/*.ko
sudo cp filestoadd_builddir/compcache-0.2/*.ko newroot/filestoadd/lib/modules/

if find squashfs/lib/modules -name 'lzo*.ko' | grep .
then
	sudo rm newroot/filestoadd/lib/modules/lzo*ko
fi

ATL2_DIR=`find squashfs/lib/modules -name atl2.ko | sed 's/\/atl2.ko$//' | sed 's/squashfs\///'`
sudo mkdir -p newroot/filestoadd/$ATL2_DIR
sudo cp `find filestoadd_builddir -name atl2.ko` newroot/filestoadd/$ATL2_DIR


sudo umount edit/tmp/ 
sudo umount edit/dev/ 
sudo chown "$LOGNAME" `find filestoadd_builddir`
#nice fakeroot sh remaster_livecd_fakeroot.sh $image
#su xp -c "VBoxManage controlvm 'My test iso' poweroff"
#sleep 1
#su xp -c "VBoxManage startvm 'My test iso'"
