whoami | ( grep root || ( echo need root && exit 1) )
whoami | ( grep root || ( exit 1) )

if test -z $image
then
	image=ubuntu-7.10-desktop-i386.iso
fi

mkdir mnt
umount edit/tmp/ 
umount edit/dev/ 
umount edit
umount squashfs
umount mnt

sudo fusermount -u edit/tmp -z
sudo fusermount -u edit/dev -z
sudo fusermount -u edit/ -z
sudo fusermount -u squashfs/ -z
sudo fusermount -u mnt/ -z



rm -rf edit-rw edit squashfs
rm -f extract-cd/casper/filesystem.squashfs

mount -o loop $image mnt
mkdir extract-cd
rm -rf extract-cd
echo RSYNCING
rsync -a mnt/ extract-cd
#rsync --exclude=/casper/filesystem.squashfs -a mnt/ extract-cd
#mount -t squashfs -o loop mnt/casper/filesystem.squashfs squashfs
#funionfs filestoadd edit -o dirs=squashfs || exit 1
chown root `find newroot -type f`
./mksquashfs newroot extract-cd/casper/filesystem.squashfs -root-becomes o #OriginalLiveCD

bash -c "rm -f extract-cd/md5sum.txt ; (cd extract-cd && find . -type f -print0 | xargs -0 md5sum > md5sum.txt)"
cd extract-cd
#mkisofs -r -V "$IMAGE_NAME" -cache-inodes -J -l -b isolinux/isolinux.bin -c isolinux/boot.cat -no-emul-boot -boot-load-size 4 -boot-info-table -o ../custom.iso
mkisofs -r -V "Custom Ubuntu LiveCD" -cache-inodes -J -l -b isolinux/isolinux.bin -c isolinux/boot.cat -no-emul-boot -boot-load-size 4 -boot-info-table -o ../CC02-$image .

#su xp -c "VBoxManage controlvm 'My test iso' poweroff"
sleep 1
#su xp -c "VBoxManage startvm 'My test iso'"
